org.apache.geode.cache.query

## Class IndexType

- java.lang.Object
- - org.apache.geode.cache.query.IndexType

- Deprecated.
  As of 6.6.1. Check `QueryService` for changes. Enumerated type for types of indexes

      public class IndexType
      extends java.lang.Object

  Since:
    GemFire 4.0

- - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `static IndexType` | `FUNCTIONAL` Deprecated. The index type of a functional index.
    `static IndexType` | `HASH` Deprecated. The index type of a hash index.
    `static IndexType` | `PRIMARY_KEY` Deprecated. The index type of a primary key index.

  - ### Method Summary

    All Methods Instance Methods Concrete Methods Deprecated Methods
    Modifier and Type | Method and Description
    --- | ---
    `java.lang.String` | `toString()` Deprecated. Return the index type as a String

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

- - ### Field Detail

    - #### FUNCTIONAL

          public static final IndexType FUNCTIONAL

      Deprecated.
      The index type of a functional index. A functional index is used for the comparison of some function of a region value with a constant, using a relational operator. The indexedExpression yields a value that is a Comparable. The "constant" that it is to be compared to is any expression that is not dependent on a value in the region. A simple example is an index on the indexedExpression "age". This would be used for a query that has the where clause "age < 55".

      The indexedExpression for a functional index can be any Comparable or any of the following primitive types:
      `long int short byte char float double`

      See Also:
        `QueryService.createIndex(String, IndexType, String, String)`

    - #### HASH

          public static final IndexType HASH

      Deprecated.
      The index type of a hash index. A hash index is used for the comparison of some function of a region value with a constant, using a relational operator. The indexedExpression yields a value that is a Comparable. The "constant" that it is to be compared to is any expression that is not dependent on a value in the region. A simple example is an index on the indexedExpression "age". This would be used for a query that has the where clause "age = 55".

      The indexedExpression for a hash index can be any Comparable or any of the following primitive types:
      `long int short byte char float double`

      See Also:
        `QueryService.createIndex(String, IndexType, String, String)`

    - #### PRIMARY_KEY

          public static final IndexType PRIMARY_KEY

      Deprecated.
      The index type of a primary key index. A primary key index uses the keys in the region itself. By creating a primary key index, you make the query service aware of the relationship between the values in the region and the keys in the region and enable the relationship to be used to optimize the execution of queries. For example, if the values in a region are employee objects and the keys in the region is the attribute empId on those employees, then you can create a primary key index on that region with the indexedExpression "empId".

      The type of the indexedExpression for a primary key index can be any object type. Just as in a Region, the lookup is based on the implementation of the `equals` and `hashCode` methods in the object.

      See Also:
        `QueryService.createIndex(String, IndexType, String, String)`

  - ### Method Detail

    - #### toString

          public java.lang.String toString()

      Deprecated.
      Return the index type as a String
      Overrides:
        `toString` in class `java.lang.Object`
      Returns:
        the String representation of this IndexType